/*
 * $Header:   //cardsrc1/pvcs/B2B_BROWSER/archives/src/com/capgemini/nemmco/b2bb/MeterDataNotification.java-arc   1.5   Mar 21 2005 08:43:16   adij  $
 * $Revision:   1.5  $
 * $Date:   Mar 21 2005 08:43:16  $
 * 
 * Copyright 2005 Capgemini Australia Pty. Ltd. 
 * All rights reserved.
 * NEMMCO CONFIDENTIAL.
 */
package com.capgemini.nemmco.b2bb;

/**
 * The class <code>MeterDataNotification</code> represents a MeterDataNotification
 * Transaction.
 *
 * @author  $Author:   adij  $
 * @version $Revision:   1.5  $
 */
import com.capgemini.nemmco.b2bb.enums.TransactionType;

public class MeterDataNotification extends Transaction {

  public static final String CSV_CONSUMPTION_DATA = "CSVConsumptionData";
  public static final String CSV_INTERVAL_DATA = "CSVIntervalData";
  public static final String PARTICIPANT_ROLE = "participantRole";

  private String CSVIntervalData = "";
  private String CSVConsumptionData = "";
  private String participantRole = "";

  /**
   * Default Constructor
   */
  public MeterDataNotification() {
    super(TransactionType.METER_DATA_NOT);
  }

  /**
   * @return Returns the CSVConsumptionData.
   */
  public String getCSVConsumptionData() {
    return CSVConsumptionData;
  }

  /**
   * @return Returns the CSVIntervalData.
   */
  public String getCSVIntervalData() {
    return CSVIntervalData;
  }

  /**
   * @return Returns the participantRole.
   */
  public String getParticipantRole() {
    return participantRole;
  }

  /**
   * @param CSVConsumptionData The CSVConsumptionData to set.
   */
  public void setCSVConsumptionData(String CSVConsumptionData) {
    this.CSVConsumptionData = CSVConsumptionData;
  }

  /**
   * @param CSVIntervalData The CSVIntervalData to set.
   */
  public void setCSVIntervalData(String CSVIntervalData) {
    this.CSVIntervalData = CSVIntervalData;
  }

  /**
   * @param participantRole The participantRole to set.
   */
  public void setParticipantRole(String participantRole) {
    this.participantRole = participantRole;
  }
}

