/**
 * $Header:   //cardsrc1/pvcs/B2B_BROWSER/archives/src/com/capgemini/nemmco/b2bb/enums/PhoneServiceComment.java-arc   1.3   08 Apr 2005 14:23:40   RayanS  $
 * $Revision:   1.3  $
 * $Date:   08 Apr 2005 14:23:40  $
 * 
 * Copyright 2005 Capgemini Australia Pty. Ltd. 
 * All rights reserved.
 * NEMMCO CONFIDENTIAL.
 * Date Changed   Changed By     Comments
 * ------------   ----------     -----------
 * 14-Aug-2012    Bob Jones      7984 Java upgrade from 6 to 7.
 */

package com.capgemini.nemmco.b2bb.enums;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

/**
 * Defines the Enumeration
 *
 * @author $Author:   RayanS  $
 * @version $Revision:   1.3  $ $Date:   08 Apr 2005 14:23:40  $
 */

public class PhoneServiceComment extends Enumeration 
                                 implements Comparable<Object>, java.io.Serializable {
	// Public constants
  private static int count = 0;
  
    /**
		  * The following define the enumerations.
		  */
    public static final PhoneServiceComment HOME     = new PhoneServiceComment("Home", "Home");
    public static final PhoneServiceComment BUSINESS = new PhoneServiceComment("Business", "Business");
    
    private static final PhoneServiceComment[] PHONE_SERVICE_COMMENT_ARRAY =
      { HOME,
        BUSINESS
      };

    public static final List<? extends Object> PHONE_SERVICE_COMMENTS =
      Collections.unmodifiableList(Arrays.asList(PHONE_SERVICE_COMMENT_ARRAY));

    private PhoneServiceComment(String code, 
                   String description) {
      this.code = code;
      this.description = description;
      this.number = ++count;
    }


    public String toString() {
      return code + "-" + description;
    }

}

