/*
 * $Header:   //cardsrc1/pvcs/B2B_BROWSER/archives/src/com/capgemini/nemmco/b2bb/exceptions/UnableToParseXMLException.java-arc   1.0   01 Mar 2005 11:43:04   hendyl  $
 * $Revision:   1.0  $
 * $Date:   01 Mar 2005 11:43:04  $
 *
 * Copyright 2005 Capgemini Australia Pty. Ltd.
 * All rights reserved.
 * NEMMCO CONFIDENTIAL.
 */

package com.capgemini.nemmco.b2bb.exceptions;

/**
 * Throws when XML is failed to be parsed
 * 
 *
 * @author $Author:   hendyl  $
 * @version $Revision:   1.0  $ $Date:   01 Mar 2005 11:43:04  $
 */

public class UnableToParseXMLException extends Exception
{
  /**
   * Constructs a new exception without a detailed message
   * 
   */
  public UnableToParseXMLException()
  {
	  super();
  }
  
  /**
   * Constructs a new exception with a detailed message
   *
   * @param  message a message describing the exception
   */
  public UnableToParseXMLException(String message)
  {
	  super(message);
  }

}