/**
 * $Header:   //cardsrc1/pvcs/B2B_BROWSER/archives/ValidationModule/src/com/capgemini/nemmco/b2bb/lookup/EmbeddedNetworkParentName.java-arc   1.2   11 Apr 2005 11:10:28   RayanS  $
 * $Revision:   1.2  $
 * $Date:   11 Apr 2005 11:10:28  $
 * 
 * Copyright 2005 Capgemini Australia Pty. Ltd. 
 * All rights reserved.
 * NEMMCO CONFIDENTIAL.
 * Date Changed   Changed By     Comments
 * ------------   ----------     -----------
 * 14-Aug-2012    Bob Jones      7984 Java upgrade from 6 to 7.
 */

package com.capgemini.nemmco.b2bb.lookup;

import java.util.List;

import com.capgemini.nemmco.b2bb.exceptions.UnableToLookupResourceException;

/**
 *
 * @author $Author:   RayanS  $
 * @version $Revision:   1.2  $ $Date:   11 Apr 2005 11:10:28  $
 */
public class EmbeddedNetworkParentName extends Lookup implements Comparable<Object>, java.io.Serializable {
  // Public constants
  private static int count = 0;

  // Public static methods
  /**
   * The static classes are used to define and retrieve enumerations from the database.
   * 
   * @return A List of Embedded Network Objects
   * @throws UnableToLookupResourceException if the database is not accessible
   */
  public static List<EmbeddedNetworkParentName> getList() throws UnableToLookupResourceException {
    return null;
  }

  /**
   * Given a network code it will return the embedded network object representing the code
   * 
   * @param network the network to look up
   * @return the network representing the String. Null if not found
   * @throws UnableToLookupResourceException if the database is not accessible
   */
  public static EmbeddedNetworkParentName getNetwork(String network) throws UnableToLookupResourceException {
    return null;
  }

  /**
   * Given a network code it will return true or false depending if the participant exists
   * 
   * @param network the network to look up
   * @return True if network exists. False otherwise
   * @throws UnableToLookupResourceException if the database is not accessible
   */
  public static boolean contains(String network) throws UnableToLookupResourceException {
    return false;
  }

  private EmbeddedNetworkParentName(String code, String description) {
    this.code = code;
    this.description = description;
    this.number = ++count;
  }
}

