/*
 * $Header:   //cardsrc1/pvcs/B2B_BROWSER/archives/src/com/capgemini/nemmco/b2bb/validators/Licensee.java-arc   1.2   21 Mar 2005 19:33:02   RayanS  $
 * $Revision:   1.2  $
 * $Date:   21 Mar 2005 19:33:02  $
 * 
 * Copyright 2005 Capgemini Australia Pty. Ltd. 
 * All rights reserved.
 * NEMMCO CONFIDENTIAL.
 */

package com.capgemini.nemmco.b2bb.validators;

import com.capgemini.nemmco.b2bb.enums.XMLObjectType;

/**
 * Defines Licensee
 *
 * @author $Author:   RayanS  $
 * @version $Revision:   1.2  $ $Date:   21 Mar 2005 19:33:02  $
 */
public class Licensee extends PersonName {

  public Licensee() {
    super(XMLObjectType.LICENSEE);
  }
  
  public Licensee(PersonName personName) {
    super(XMLObjectType.LICENSEE);
    this.setFamilyName(personName.getFamilyName());
    this.setGivenName(personName.getGivenName());
    this.setNameSuffix(personName.getNameSuffix());
    this.setNameTitle(personName.getNameTitle());
    this.setNameType(personName.getNameType());
    this.setEvents(personName.getEvents());
  }
  
}

