/*
 * MeterFaultAndIssueSupplyOnOptions.java
 *
 * The Copyright of this work is vested in the Australian Energy Market
 * Operator (AEMO) and the software is issued in confidence for the purpose
 * only for which it is supplied. It must not be reproduced in whole or in
 * part or used for tendering or manufacturing purposes except under an
 * agreement or with the consent in writing of AEMO and then only on the
 * condition that this notice is included in any such reproduction.
 * No information as to the contents or subject matter of this software or
 * any part thereof arising directly or indirectly there from shall be
 * given orally or in writing or communicated in any manner whatsoever to
 * any third party being an individual firm or company or any employee
 * thereof without the prior consent in writing of AEMO.
 *
 * Copyright Australian Energy Market Operator Limited. 2017
 *
 * Modification History
 *
 * Date Changed   Changed By        Description
 * ------------   ----------        -----------
 * 10-Jul-2017    Harpreet Kaur     Created
 */


package com.capgemini.nemmco.b2bb.enums;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

public class MeterFaultAndIssueSupplyOnOptions extends Enumeration implements Comparable<Object>, java.io.Serializable {
   // Public constants
   private static int count = 0;

   /**
    * The following define the enumerations.
    */

   public static final MeterFaultAndIssueSupplyOnOptions YES           = new MeterFaultAndIssueSupplyOnOptions("Yes", "Yes");
   public static final MeterFaultAndIssueSupplyOnOptions NO            = new MeterFaultAndIssueSupplyOnOptions("No", "No");

   private static final MeterFaultAndIssueSupplyOnOptions[] METER_FAULT_AND_ISSUE_SUPPLY_ON_OPTIONS_ARRAY = {
      YES,
      NO
   };

   public static final List<? extends Object> METER_FAULT_AND_ISSUE_SUPPLY_ON_OPTIONS = Collections.unmodifiableList(Arrays.asList(METER_FAULT_AND_ISSUE_SUPPLY_ON_OPTIONS_ARRAY));

   private MeterFaultAndIssueSupplyOnOptions(String code,String description) {
      this.code = code;
      this.description = description;
      this.number = ++count;
   }

   public String toString() {
      return code + "-" + description;
   }

}

