/**
 * $Header:   //cardsrc1/pvcs/B2B_BROWSER/archives/src/com/capgemini/nemmco/b2bb/enums/YesNo.java-arc   1.4   08 Apr 2005 14:23:44   RayanS  $
 * $Revision:   1.4  $
 * $Date:   08 Apr 2005 14:23:44  $
 * 
 * Copyright 2005 Capgemini Australia Pty. Ltd. 
 * All rights reserved.
 * NEMMCO CONFIDENTIAL.
 * Date Changed   Changed By        Comments
 * ------------   ----------        -----------
 * 14-Aug-2012    Bob Jones         7984 Java upgrade from 6 to 7.
 */

package com.capgemini.nemmco.b2bb.enums;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

/**
 * Defines the Enumeration
 *
 * @author $Author:   RayanS  $
 * @version $Revision:   1.4  $ $Date:   08 Apr 2005 14:23:44  $
 */

public class YesNo extends Enumeration 
                        implements Comparable<Object>, java.io.Serializable {
	// Public constants
  private static int count = 0;
  
    /**
		  * The following define the enumerations.
		  */
    public static final YesNo YES = new YesNo("Yes", "Yes");
    public static final YesNo NO  = new YesNo("No", "No");

    private static final YesNo[] YESNO_TYPE_ARRAY =
      { YES,
        NO
      };

    public static final List<? extends Object> YESNO_CODES =
      Collections.unmodifiableList(Arrays.asList(YESNO_TYPE_ARRAY));

    private YesNo(String code, 
                   String description) {
      this.code = code;
      this.description = description;
      this.number = ++count;
    }


    public String toString() {
      return code + "-" + description;
    }

}

